curl -X POST https://qa-payments.mygigsters.com.au/api/v1/status/police-check \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"reference_id": "14005220"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/status/police-check", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"reference_id": "14005220"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/status/police-check",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"reference_id": "14005220",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/status/police-check")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"reference_id": "14005220"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"reference_id": "14005220"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"reference_id\": \"14005220\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/status/police-check"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"reference_id": "14005220"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/status/police-check", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""reference_id"": ""14005220""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Verification Result",
"data": {
"id": 14005220,
"continue_url": "https://mygigsterspoltest.nationalcrimecheck.com.au/consumer/resume/14005220/AJRVTEEC",
"verify_status": "PRIOR",
"status": "PREP",
"client_ref": "",
"cost_centre": "",
"first_name": "John",
"middle_name": "",
"last_name": "Smith",
"single_name": false,
"dob": "0000-00-00",
"sex": "",
"email": "john.smith@example.com",
"mobile": "",
"type": "EMPLOYMENT",
"reason": "Driver",
"services": [
"Police"
],
"accept_status": "ACCEPTED",
"result": "UNKNOWN"
},
"result": {
"status": "UNKNOWN",
"message": "The check result has not yet been received from ACIC, so the result is currently not known."
}
}
Document verification
Police check status
This endpoint retrieves the current status of a police check application. It returns the applicant’s details, processing status, verification status, and the check result from ACIC (Australian Criminal Intelligence Commission).
POST
/
status
/
police-check
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/status/police-check \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"reference_id": "14005220"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/status/police-check", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"reference_id": "14005220"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/status/police-check",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"reference_id": "14005220",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/status/police-check")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"reference_id": "14005220"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"reference_id": "14005220"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"reference_id\": \"14005220\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/status/police-check"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"reference_id": "14005220"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/status/police-check", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""reference_id"": ""14005220""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Verification Result",
"data": {
"id": 14005220,
"continue_url": "https://mygigsterspoltest.nationalcrimecheck.com.au/consumer/resume/14005220/AJRVTEEC",
"verify_status": "PRIOR",
"status": "PREP",
"client_ref": "",
"cost_centre": "",
"first_name": "John",
"middle_name": "",
"last_name": "Smith",
"single_name": false,
"dob": "0000-00-00",
"sex": "",
"email": "john.smith@example.com",
"mobile": "",
"type": "EMPLOYMENT",
"reason": "Driver",
"services": [
"Police"
],
"accept_status": "ACCEPTED",
"result": "UNKNOWN"
},
"result": {
"status": "UNKNOWN",
"message": "The check result has not yet been received from ACIC, so the result is currently not known."
}
}
Headers
string
default:"1.2"
required
The API version to use. Supported versions are
1.1 and 1.2.Request Body Parameters
string
required
The reference ID of the police check to retrieve the status for.
Response Body
| Field | Type | Description |
|---|---|---|
message | string | A message describing the response status (e.g. “Verification Result”). |
dataobject | object | The police check details. |
↳id | number | The unique identifier for the police check. |
↳continue_url | string | URL for the applicant to continue or resume the police check process. |
↳verify_status | string | The identity verification status (e.g. “PRIOR”, “VERIFIED”, “UNVERIFIED”). |
↳status | string | The current processing status of the check (e.g. “PREP”, “SUBMITTED”, “COMPLETE”). |
↳first_name | string | The first name of the applicant. |
↳last_name | string | The last name of the applicant. |
↳email | string | The email address of the applicant. |
↳type | string | The type of check (e.g. “EMPLOYMENT”). |
↳reason | string | The reason for the police check (e.g. “Driver”). |
↳services | array | The list of services included in the check (e.g. [“Police”]). |
↳accept_status | string | Whether the applicant has accepted the terms (e.g. “ACCEPTED”, “PENDING”). |
↳result | string | The check result (e.g. “UNKNOWN”, “CLEAR”, “DISCLOSABLE”). |
resultobject | object | A summary of the police check result. |
↳status | string | The overall result status (e.g. “UNKNOWN”, “CLEAR”, “DISCLOSABLE”). |
↳message | string | A human-readable message explaining the current result status. |
Response Codes
| Code | Description |
|---|---|
| 200 | The police check status was successfully retrieved. |
| 400 | Bad Request. Missing or invalid reference_id. |
| 401 | Unauthorized. Missing or invalid credentials. |
| 500 | Internal Server Error. |
curl -X POST https://qa-payments.mygigsters.com.au/api/v1/status/police-check \
-u "YOUR_UUID:YOUR_SECRET" \
-H "X-API-Version: 1.2" \
-H "Content-Type: application/json" \
-d '{
"reference_id": "14005220"
}'
const response = await fetch("https://qa-payments.mygigsters.com.au/api/v1/status/police-check", {
method: "POST",
headers: {
Authorization: "Basic " + Buffer.from("YOUR_UUID:YOUR_SECRET").toString("base64"),
"X-API-Version": "1.2",
"Content-Type": "application/json",
},
body: JSON.stringify({
"reference_id": "14005220"
}),
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
"https://qa-payments.mygigsters.com.au/api/v1/status/police-check",
auth=("YOUR_UUID", "YOUR_SECRET"),
headers={
"X-API-Version": "1.2",
},
json={
"reference_id": "14005220",
},
)
print(response.json())
require "net/http"
require "json"
require "uri"
uri = URI("https://qa-payments.mygigsters.com.au/api/v1/status/police-check")
request = Net::HTTP::Post.new(uri)
request.basic_auth("YOUR_UUID", "YOUR_SECRET")
request["X-API-Version"] = "1.2"
request["Content-Type"] = "application/json"
request.body = <<~JSON
{
"reference_id": "14005220"
}
JSON
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts JSON.parse(response.body)
<?php
$ch = curl_init("https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_USERPWD => "YOUR_UUID:YOUR_SECRET",
CURLOPT_HTTPHEADER => [
"X-API-Version: 1.2",
"Content-Type: application/json",
],
CURLOPT_POSTFIELDS => <<<'JSON'
{
"reference_id": "14005220"
}
JSON,
]);
$response = curl_exec($ch);
curl_close($ch);
print_r(json_decode($response, true));
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.Base64;
public class Example {
public static void main(String[] args) throws Exception {
String credentials = Base64.getEncoder()
.encodeToString("YOUR_UUID:YOUR_SECRET".getBytes());
String body = String.join("\n",
"{",
" \"reference_id\": \"14005220\"",
"}"
);
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://qa-payments.mygigsters.com.au/api/v1/status/police-check"))
.header("Authorization", "Basic " + credentials)
.header("X-API-Version", "1.2")
.header("Content-Type", "application/json")
.method("POST", HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
body := strings.NewReader(`{
"reference_id": "14005220"
}`)
req, err := http.NewRequest("POST", "https://qa-payments.mygigsters.com.au/api/v1/status/police-check", body)
if err != nil {
panic(err)
}
req.SetBasicAuth("YOUR_UUID", "YOUR_SECRET")
req.Header.Set("X-API-Version", "1.2")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
data, _ := io.ReadAll(res.Body)
fmt.Println(string(data))
}
using System.Net.Http.Headers;
using System.Text;
using var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://qa-payments.mygigsters.com.au/api/v1/status/police-check");
request.Headers.Authorization = new AuthenticationHeaderValue(
"Basic", Convert.ToBase64String(Encoding.UTF8.GetBytes("YOUR_UUID:YOUR_SECRET")));
request.Headers.Add("X-API-Version", "1.2");
request.Content = new StringContent(@"{
""reference_id"": ""14005220""
}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
{
"message": "Verification Result",
"data": {
"id": 14005220,
"continue_url": "https://mygigsterspoltest.nationalcrimecheck.com.au/consumer/resume/14005220/AJRVTEEC",
"verify_status": "PRIOR",
"status": "PREP",
"client_ref": "",
"cost_centre": "",
"first_name": "John",
"middle_name": "",
"last_name": "Smith",
"single_name": false,
"dob": "0000-00-00",
"sex": "",
"email": "john.smith@example.com",
"mobile": "",
"type": "EMPLOYMENT",
"reason": "Driver",
"services": [
"Police"
],
"accept_status": "ACCEPTED",
"result": "UNKNOWN"
},
"result": {
"status": "UNKNOWN",
"message": "The check result has not yet been received from ACIC, so the result is currently not known."
}
}
Last modified on November 10, 2026
Was this page helpful?
